org.apache.commons.io.output

## Class NullOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.io.output.NullOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class NullOutputStream
      extends OutputStream

  Never writes data. Calls never go beyond this class.

  This output stream has no destination (file/socket etc.) and all bytes written to it are ignored and lost.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullOutputStream` | `INSTANCE` The singleton instance.
    `static NullOutputStream` | `NULL_OUTPUT_STREAM` Deprecated. Use `INSTANCE`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullOutputStream()` Deprecated. Use `INSTANCE`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] b)` Does nothing - output to `/dev/null`.
    `void` | `write(byte[] b, int off, int len)` Does nothing - output to `/dev/null`.
    `void` | `write(int b)` Does nothing - output to `/dev/null`.

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NullOutputStream INSTANCE

      The singleton instance.
      Since:
        2.12.0

    - #### NULL_OUTPUT_STREAM

          @Deprecated
          public static final NullOutputStream NULL_OUTPUT_STREAM

      Deprecated. Use `INSTANCE`.
      The singleton instance.

  - ### Constructor Detail

    - #### NullOutputStream

          @Deprecated
          public NullOutputStream()

      Deprecated. Use `INSTANCE`.
      Deprecated in favor of `INSTANCE`. TODO: Will be private in 3.0.

  - ### Method Detail

    - #### write

          public void write(byte[] b)
                     throws IOException

      Does nothing - output to `/dev/null`.
      Overrides:
        `write` in class `OutputStream`
      Parameters:
        `b` - The bytes to write
      Throws:
        `IOException` - never

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)

      Does nothing - output to `/dev/null`.
      Overrides:
        `write` in class `OutputStream`
      Parameters:
        `b` - The bytes to write
        `off` - The start offset
        `len` - The number of bytes to write

    - #### write

          public void write(int b)

      Does nothing - output to `/dev/null`.
      Specified by:
        `write` in class `OutputStream`
      Parameters:
        `b` - The byte to write

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.